Package org.apache.commons.net.ftp

# Class FTPSCommand

java.lang.Object
org.apache.commons.net.ftp.FTPSCommand

@Deprecated public final class FTPSCommand extends Object
Deprecated.
3.0 DO NOT USE
FTPS-specific commands.

Since:
  2.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ADAT`
  Deprecated.
  1
  `static final int`
  `AUTH`
  Deprecated.
  0
  `static final int`
  `AUTHENTICATION_SECURITY_DATA`
  Deprecated.
  1
  `static final int`
  `AUTHENTICATION_SECURITY_MECHANISM`
  Deprecated.
  0
  `static final int`
  `CCC`
  Deprecated.
  4
  `static final int`
  `CLEAR_COMMAND_CHANNEL`
  Deprecated.
  4
  `static final int`
  `DATA_CHANNEL_PROTECTION_LEVEL`
  Deprecated.
  3
  `static final int`
  `PBSZ`
  Deprecated.
  2
  `static final int`
  `PROT`
  Deprecated.
  3
  `static final int`
  `PROTECTION_BUFFER_SIZE`
  Deprecated.
  2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FTPSCommand()`
  Deprecated.
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCommand(int command)`
  Deprecated.
  Gets the FTPS command string corresponding to a specified command code.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUTH

    public static final int AUTH
    Deprecated.
    0
    See Also:
      - Constant Field Values

  - ### ADAT

    public static final int ADAT
    Deprecated.
    1
    See Also:
      - Constant Field Values

  - ### PBSZ

    public static final int PBSZ
    Deprecated.
    2
    See Also:
      - Constant Field Values

  - ### PROT

    public static final int PROT
    Deprecated.
    3
    See Also:
      - Constant Field Values

  - ### CCC

    public static final int CCC
    Deprecated.
    4
    See Also:
      - Constant Field Values

  - ### AUTHENTICATION_SECURITY_MECHANISM

    public static final int AUTHENTICATION_SECURITY_MECHANISM
    Deprecated.
    0
    See Also:
      - Constant Field Values

  - ### AUTHENTICATION_SECURITY_DATA

    public static final int AUTHENTICATION_SECURITY_DATA
    Deprecated.
    1
    See Also:
      - Constant Field Values

  - ### PROTECTION_BUFFER_SIZE

    public static final int PROTECTION_BUFFER_SIZE
    Deprecated.
    2
    See Also:
      - Constant Field Values

  - ### DATA_CHANNEL_PROTECTION_LEVEL

    public static final int DATA_CHANNEL_PROTECTION_LEVEL
    Deprecated.
    3
    See Also:
      - Constant Field Values

  - ### CLEAR_COMMAND_CHANNEL

    public static final int CLEAR_COMMAND_CHANNEL
    Deprecated.
    4
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FTPSCommand

    public FTPSCommand()
    Deprecated.
    Constructs a new instance.

- ## Method Details

  - ### getCommand

    public static String getCommand(int command)
    Deprecated.
    Gets the FTPS command string corresponding to a specified command code.
    Parameters:
      `command` - The command code.
    Returns:
      The FTPS command string corresponding to a specified command code.